Subject: bug#28242: Batch mode compiling: Error messages are displayed with "invalid character" glyph bounding symbols.

From: Alan Mackenzie <[email-masked]>
Date: Sun, 27 Aug 2017 19:04:04 +0000

Hello, Paul.

On Sun, Aug 27, 2017 at 11:43:16 -0700, Paul Eggert wrote:
> Alan Mackenzie wrote:
> > On Sun, Aug 27, 2017 at 12:47:21 -0400, Glenn Morris wrote:

> >> If your system has the same issue with gcc warnings (and if you choose
> >> not to answer the question, a cynic like me will assume it does), ...

> > It does.

> Then you'll need to fix your setup to get GCC working, as well as Emacs.

I will get around to that in good time.  It remains a problem for all
those working with the standard Linux font.

> > Diagonal lines are the font's representation
> > of ASCII grave (0x60), and arise from typing the key to the left of "1".

> So this font cannot even display ASCII?

It can.  I suggest you try it out first, before making such wild
statements.

> Another annoyance. While you're fixing that you might as well fix the
> curved quotes.

> I don't see this as rising to something that we need to worry about. Emacs is 
> behaving consistently with other programs.

There was a time when Emacs was a leader, not a follower.  Seems such
times have passed.

> Even with the display glitches, the batch diagnostics are still quite
> intelligible, so the glitches are merely an annoyance.

Annoyances should be fixed.  It's the lack of annoyances which makes (or
made) Emacs such an attractive program in the first place.

> If despite my advice we decide to support this misconfigured font, then we need 
> to change the default batch quoting style to 'straight', not 'grave'. This is 
> because the font in question cannot display grave accent either.

Stop being idiotic.

> It would be a simple matter to use the 'straight' quoting style for
> all batch invocations. I'm not in favor of this, though.

How about allowing the user to configure this, in good old fashioned
Emacs fashion?

-- 
Alan Mackenzie (Nuremberg, Germany).